Noté 5 sur 5 étoiles

LOVE Tab Utilities WHEN ITS COMPATIBLE with the LATEST FIREFOX... (please update to FF 11.0)

Unfortunately I'm having to use TabMixPlus which is Great, but HEAVY

Cette critique est pour une version précédente du module (1.1.3.1-signed.1-signed).